Last updated: September 23, 2026

Create OAuth/OIDC App

Create OAuth/OIDC App.

Request

POSThttps://superadminuser.miniorange.in/services/api/apps/v1/openid

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
applicationNameStringOptional
clientNameStringOptional
clientDescStringOptional
redirectUrlsStringOptional
allowedLogoutUrlsStringOptional
clientIdStringOptional
clientSecretStringOptional
accessTokenExpiryNumberOptional
jwtExpiryNumberOptional
refreshTokenExpiryNumberOptional
subjectStringOptional
subjectAttributeValueStringOptional
algoStringOptional
ssoFlowsStringOptional
forceAuthnStringOptional
sloEnabledStringOptional
createDefaultPolicyStringOptional
showOnEndUserDashboardStringOptional
isCustomerIdpEnabledStringOptional
isMultivaluedAttributesEnabledStringOptional
isSharedAccountStringOptional
customerScopesStringOptional
customLoginPageUrlStringOptional
identitySourceStringOptional
attributeMappingsStringOptional

Request body

{
    "applicationName": "OAuth2/OpenID Connect",
    "clientName": "My OAuth App",
    "clientDesc": "Description of my OAuth OIDC app",
    "redirectUrls": [
        "https://myapp.example.com/callback",
        "https://myapp.example.com/auth/callback"
    ],
    "allowedLogoutUrls": [
        "https://myapp.example.com/logout"
    ],
    "clientId": null,
    "clientSecret": null,
    "accessTokenExpiry": 1,
    "jwtExpiry": 1,
    "refreshTokenExpiry": 14,
    "subject": "EMAIL",
    "subjectAttributeValue": null,
    "algo": "RSA-SHA256",
    "ssoFlows": "idp",
    "forceAuthn": false,
    "sloEnabled": true,
    "createDefaultPolicy": false,
    "showOnEndUserDashboard": false,
    "isCustomerIdpEnabled": false,
    "isMultivaluedAttributesEnabled": false,
    "isSharedAccount": false,
    "customerScopes": null,
    "customLoginPageUrl": null,
    "identitySource": null,
    "attributeMappings": [
        {
            "attributeName": "email",
            "attributeType": "MINIORANGE",
            "attributeValue": "EMAIL"
        },
        {
            "attributeName": "firstName",
            "attributeType": "MINIORANGE",
            "attributeValue": "FIRST_NAME"
        },
        {
            "attributeName": "lastName",
            "attributeType": "MINIORANGE",
            "attributeValue": "LAST_NAME"
        }
    ]
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied